select
   nt.dtentradasaida as data_compra
  , nt.numdocumento as num_nota
  , pr.nome as produto 
  , fab.nome as fabricante
  , pes.nome as fornecedor
  , ni.qtde as quantidade
  , (ni.vrtotal / ni.qtde) as valor_unitario
  , ni.vrtotal as valor_total
  , mov.numparcela || '\' || (select count(*) from movimento re where re.cdnota = nt.cdnota) as parcela
from
  movimento mov
  join nota nt on nt.cdnota = mov.cdnota
  join notaitem ni on ni.cdnota = nt.cdnota
  join produto pr on pr.cdproduto = ni.cdproduto
  left join pessoa pes on pes.cdpessoa = nt.cdpessoa
  left join pessoa fab on fab.cdpessoa = pr.cdfabricante
where 
   nt.tiponota = 'E'
---INSERIR AQUI PARTE DO NOME DO FABRICANTE, EXATAMENTE IGUAL EST NO IDEAGRI
   and fab.nome like '%Pfizer%'
